Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::material_node Class Reference

Inheritance diagram for openvrml::vrml97_node::material_node:

[legend]
List of all members.

## Detailed Description

Material node instances.

## Public Member Functions

| material_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~material_node () throw ()
| Destroy.
virtual float | ambient_intensity () const throw ()
| Get the ambient intensity.
virtual const color & | diffuse_color () const throw ()
| Get the diffuse color.
virtual const color & | emissive_color () const throw ()
| Get the emissive color.
virtual float | shininess () const throw ()
| Get the shininess.
virtual const color & | specular_color () const throw ()
| Get the specular color.
virtual float | transparency () const throw ()
| Get the transparency.

## Private Attributes

exposedfield< sffloat > | ambient_intensity_
| ambientIntensity exposedField.
exposedfield< sfcolor > | diffuse_color_
| diffuseColor exposedField.
exposedfield< sfcolor > | emissive_color_
| emissiveColor exposedField.
exposedfield< sffloat > | shininess_
| shininess exposedField.
exposedfield< sfcolor > | specular_color_
| specularColor exposedField.
exposedfield< sffloat > | transparency_
| transparency exposedField.

## Friends

class | material_class
| Class object for Material nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::material_node::material_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with this node.
  | scope | the scope to which the node belongs.

Reimplemented from openvrml::material_node.

openvrml::vrml97_node::material_node::~material_node | ( |  | ) | throw ()`[virtual]`

| Destroy. Implements openvrml::material_node.

## Member Function Documentation

float openvrml::vrml97_node::material_node::ambient_intensity | ( |  | ) | const throw ()`[virtual]`

Get the ambient intensity.

Returns:
  the ambient intensity.

Implements openvrml::material_node.

const color & openvrml::vrml97_node::material_node::diffuse_color | ( |  | ) | const throw ()`[virtual]`

Get the diffuse color.

Returns:
  the diffuse color.

Implements openvrml::material_node.

const color & openvrml::vrml97_node::material_node::emissive_color | ( |  | ) | const throw ()`[virtual]`

Get the emissive color.

Returns:
  the emissive color.

Implements openvrml::material_node.

float openvrml::vrml97_node::material_node::shininess | ( |  | ) | const throw ()`[virtual]`

Get the shininess.

Returns:
  the shininess.

Implements openvrml::material_node.

const color & openvrml::vrml97_node::material_node::specular_color | ( |  | ) | const throw ()`[virtual]`

Get the specular color.

Returns:
  the specular color.

Implements openvrml::material_node.

float openvrml::vrml97_node::material_node::transparency | ( |  | ) | const throw ()`[virtual]`

Get the transparency.

Returns:
  the transparency.

Implements openvrml::material_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::material_node::material_class`[friend]`

| Class object for Material nodes.

## Member Data Documentation

exposedfield< sffloat > openvrml::vrml97_node::material_node::ambient_intensity_ `[private]`

| ambientIntensity exposedField.

exposedfield< sfcolor > openvrml::vrml97_node::material_node::diffuse_color_ `[private]`

| diffuseColor exposedField.

exposedfield< sfcolor > openvrml::vrml97_node::material_node::emissive_color_ `[private]`

| emissiveColor exposedField.

exposefield< sffloat > openvrml::vrml97_node::material_node::shininess_ `[private]`

| shininess exposedField.

exposedfield< sfcolor > openvrml::vrml97_node::material_node::specular_color_ `[private]`

| specularColor exposedField.

exposedfield< sffloat > openvrml::vrml97_node::material_node::transparency_ `[private]`

| transparency exposedField.